Bug 23117 - USB mouse suspends every two seconds when powertop package is installed
Summary: USB mouse suspends every two seconds when powertop package is installed
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-06-05 15:09 CEST by José Jorge
Modified: 2018-06-25 00:03 CEST (History)
3 users (show)

See Also:
Source RPM: powertop
CVE:
Status comment:


Attachments

Description José Jorge 2018-06-05 15:09:19 CEST
powertop package has gained a service in Mageia 6 which activates it's optimizing at boot time.

While this is very good for power, especially in laptops, it is annoying if you use a USB mouse : it suspends every 2 seconds.

I have changed the behaviour to suspend only after 180 seconds idling in caulron, and want to bring this bugfix to MGA6.
Comment 1 José Jorge 2018-06-05 15:20:10 CEST
Suggested advisory :

When installed, powertop service autotunes the system at boot to get a very interesting maximum powersave. Unfortunately, the default suspend time for an USB mouse was too short with only 2 seconds. This update gives 180 seconds before one has to click to awake the mouse.

This update also upgrades the tool to bugfix version 2.9 which brings better support for latest hardware.

Ref: https://01.org/powertop/downloads/powertop-v2.9

Only RPM:

powertop-2.9-2.mga6.*.[s]rpm

CC: (none) => lists.jjorge
Assignee: lists.jjorge => qa-bugs
Status: NEW => ASSIGNED

Comment 2 Thomas Backlund 2018-06-05 15:30:37 CEST
Not a good fix.

The value for DELAY should not be hardcoded in a shell script.

It should be defined in something like /etc/sysconfig/powertop and sourced from there so it's admin defineable without losing the config every time one updates powertop... and not everyone will be happy with 3 minutes either...


So it can still default to 3 minutes but give final power to the admin

Keywords: (none) => feedback
CC: (none) => tmb

Comment 3 José Jorge 2018-06-05 16:42:07 CEST
(In reply to Thomas Backlund from comment #2)
> Not a good fix.

You are right, done better in -4. Sot the version to test is :

powertop-2.9-.mga6.*.[s]rpm

Keywords: feedback => (none)

Comment 4 José Jorge 2018-06-22 16:34:17 CEST
Tested by myself powertop-2.9-4.mga6.x86_64, and the script failed on some systems.

So now version powertop-2.9-5 is pushed to testing.

Whiteboard: (none) => MGA6-64-OK MGA6-32-OK

Comment 5 claire robinson 2018-06-24 22:04:22 CEST
Validating from Jose's tests, just this once. Advisoried.

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 6 Mageia Robot 2018-06-25 00:03:26 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0121.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.